disabled_rules: # rule identifiers to exclude from running
  - colon
  - comma
  - control_statement
opt_in_rules: # some rules are only opt-in
  - empty_count
  - missing_docs
 # - trailing_whitespace
  # Find all the available rules by running:
  # swiftlint rules
included: # paths to include during linting. `--path` is ignored if present.
  
excluded: # paths to ignore during linting. Takes precedence over `included`.
  - Carthage
  - Pods # exclude Pods folder
  - Project/path/to/SomeFolder # exclude Custom folder folder
  - Project/path/to/SomeClass.swift # exclude File

# configurable rules can be customized from this configuration file
# binary rules can set their severity level
force_cast: warning # implicitly
force_try:
  severity: warning # explicitly
cyclomatic_complexity: 12 
line_length: 150
type_body_length: 300 # warning
file_length: 550
function_body_length: 80
function_parameter_count: 8

type_name:
  min_length: 1 # only warning
  max_length: # warning and error
    warning: 40
    error: 50
  excluded: iPhone # excluded via string

identifier_name:
  min_length: 1 # only min_length
  excluded: # excluded via string array
    - id
    - URL
    - GlobalAPIKey
reporter: "xcode" # reporter type (xcode, json, csv, checkstyle, junit, html, emoji)